package domain

type AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult struct {
	/*
	   总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   查询结果信息     */
	Message *string `json:"message,omitempty" `

	/*
	   当前页数     */
	Current *int64 `json:"current,omitempty" `

	/*
	   查询结果数据     */
	SkuList *[]AlibabaWdkMarketingItempoolStairQueryitemItemPoolSku `json:"sku_list,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   页数size     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   是否成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult) SetTotal(v int64) *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult) SetMessage(v string) *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult) SetCurrent(v int64) *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult) SetSkuList(v []AlibabaWdkMarketingItempoolStairQueryitemItemPoolSku) *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult {
	s.SkuList = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult) SetErrorCode(v string) *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult) SetPageSize(v int64) *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult) SetSuccess(v bool) *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult) SetTotalPage(v int64) *AlibabaWdkMarketingItempoolStairQueryitemMarketPageResult {
	s.TotalPage = &v
	return s
}
